Debian Bug report logs - #686618
ITP: classycle -- Analysing tool for Java dependencies

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Damien Raude-Morvan" <drazzib@drazzib.com>

Date: Mon, 3 Sep 2012 21:48:01 UTC

Owned by: "Damien Raude-Morvan" <drazzib@debian.org>

Severity: wishlist

Fixed in version classycle/1.4-1

Done: Damien Raude-Morvan <drazzib@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Damien Raude-Morvan" <drazzib@debian.org>:
Bug#686618; Package wnpp. (Mon, 03 Sep 2012 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, "Damien Raude-Morvan" <drazzib@debian.org>. (Mon, 03 Sep 2012 21:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: submit@bugs.debian.org
Subject: ITP: classycle -- Analysing tool for Java dependencies
Date: Mon, 3 Sep 2012 23:45:37 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: "Damien Raude-Morvan" <drazzib@debian.org>

* Package name    : classycle
  Version         : 1.4
  Upstream Author : Franz-Josef Elmer
* URL             : http://classycle.sourceforge.net/
* License         : BSD-2
  Programming Lang: Java
  Description     : Analysing tool for Java dependencies

 Classycle's Analyser analyses the static class and package dependencies
 in Java applications or libraries. It is especially helpful for finding cyclic
 dependencies between classes or packages.
 .
 Classycle is similar to JDepend which does also a dependency analysis
 but only on the package level.
 .
 Classycle's Dependency Checker searches for unwanted class dependencies
 described in a dependency definition file. Dependency checking helps to
 monitor whether certain architectural constrains (e.g. in a layered
 architecture) are fulfilled or not.

Classycle is a dependency of Gradle package.

-- 
Damien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686618; Package wnpp. (Mon, 03 Sep 2012 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Sep 2012 22:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 686618@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: 686618@bugs.debian.org
Subject: Re: Bug#686618: Acknowledgement (ITP: classycle -- Analysing tool for Java dependencies)
Date: Tue, 4 Sep 2012 00:55:16 +0200
Current WiP for classycle package is here :
http://anonscm.debian.org/gitweb/?p=pkg-java/classycle.git

-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 30 Nov 2012 19:09:05 GMT) Full text and rfc822 format available.

Reply sent to Damien Raude-Morvan <drazzib@debian.org>:
You have taken responsibility. (Sun, 09 Dec 2012 17:03:11 GMT) Full text and rfc822 format available.

Notification sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 17:03:11 GMT) Full text and rfc822 format available.

Message #17 received at 686618-close@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@debian.org>
To: 686618-close@bugs.debian.org
Subject: Bug#686618: fixed in classycle 1.4-1
Date: Sun, 09 Dec 2012 17:00:11 +0000
Source: classycle
Source-Version: 1.4-1

We believe that the bug you reported is fixed in the latest version of
classycle, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damien Raude-Morvan <drazzib@debian.org> (supplier of updated classycle package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 03 Sep 2012 23:49:57 +0200
Source: classycle
Binary: libclassycle-java libclassycle-java-doc
Architecture: source all
Version: 1.4-1
Distribution: experimental
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Damien Raude-Morvan <drazzib@debian.org>
Description: 
 libclassycle-java - Analysing tool for Java dependencies
 libclassycle-java-doc - Analysing tool for Java dependencies - documentation
Closes: 686618
Changes: 
 classycle (1.4-1) experimental; urgency=low
 .
   * Initial release. (Closes: #686618)
Checksums-Sha1: 
 7b4cf50a55bbe5e2de77df833597680826c641be 2062 classycle_1.4-1.dsc
 56a9775c33843d0db8707223e38825ef27f55b3f 87317 classycle_1.4.orig.tar.gz
 76b682d669e16bec02b933a79e1219d718301c6a 4463 classycle_1.4-1.debian.tar.gz
 3ba2565f39a82d609e76e7b21f4387787b69c151 112960 libclassycle-java_1.4-1_all.deb
 0e0ae647e8e88ba8c6876ddf6525e30c4d6a3b6e 124888 libclassycle-java-doc_1.4-1_all.deb
Checksums-Sha256: 
 ef993d239dbaab8094f39aafcb68289eef65476d0b7eecbe07e740fafb84ef6b 2062 classycle_1.4-1.dsc
 11f64035d2a62da53e88ef3f16b4cadba360333534a51ee4fc356d357fd322f9 87317 classycle_1.4.orig.tar.gz
 da02418a5bf4bf742d488455d55390dc07e0b33e1232cbad5bb7ccffb4856d9d 4463 classycle_1.4-1.debian.tar.gz
 3102cd1a072e82d11965f72ecc1b275426d14438fc7e12bd8c6a4cc51118ff79 112960 libclassycle-java_1.4-1_all.deb
 0ae7851fecabb1f40ddbcab46963483c396a73e3afd392c6316a930fe96f13ae 124888 libclassycle-java-doc_1.4-1_all.deb
Files: 
 d50f61d68bcccad05e25ec4e6d9e89e3 2062 java optional classycle_1.4-1.dsc
 6ea58b57d63b599ddedb87ad9578cba2 87317 java optional classycle_1.4.orig.tar.gz
 5425ecfb528683fb554cba11c2bac88b 4463 java optional classycle_1.4-1.debian.tar.gz
 52efa2edf5152772bf44bb902db80b29 112960 java optional libclassycle-java_1.4-1_all.deb
 1078821ebcdde12c2804d7796ba5f29d 124888 doc optional libclassycle-java-doc_1.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQtnUDAAoJEHXiDM0z50n8VzEP/0WHaI7toycwA7K160nse/tn
qw1WhjKqbxdWNo68wnYMVRL+Bp8f89riRW7MeV3pmgiv02m0LBkI6WsEKDkHtW4H
sydiC6X+zSCIUTF/2dHhGwKIULempYEmEeunahPezpbvmXE7T4yJEKxOkt7Xriwv
GyDtKQh/YVzN28/qZtPYkAb6LeWUETBUp7Ji2yt6uLAkUaOOwxRYJpKgLShZU3TY
UORkrZyessDt5YXtL3CXkSQ3u3/o2eyNqXQzuUfbqKgIX9Wyv78K++PqOctvsEnL
ZrzTMCDoGj0L59vEz5SJ0ngXLcAd0Du3eQUxwk4E/WpdY8OIpIx8IbxTqs3ylsUs
TD4DhH+BOFdzvRJU8VZyxtWFzBhkDahaev5ZqcB6z+mpdtd0F0j7ChveuTisOxKs
pYNxK1RgZ7bEyCcGq9yQqDH0E2FQhVy1t21GT/Up8XGYHX4K6v8EqCUMDMdql9s/
UbHOogmmiEOXdAJEvaW89e+y3CfHn0xaKYg3ffygM4fvnCzFQwbieMenApyjpeY2
/cwfoqBFC7fgclZ49ekdzlf69RsxU3BFCzCT18z15WwPH+2XNbUkStw5BPf1QYlO
OfVq97OR0PoTSXJYjHd24irm9Xc6eJcyKJmmYkN0l+Snr8aD9fGSl51qNmkbhzJE
2kvxlcD21hV0v9SgBE62
=Zqhr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:26:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:21:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.